Page MenuHomePhabricator

Rewrite dummy interface type with new style XML/Python interface
Closed, ResolvedPublicFEATURE REQUEST

Description

vyos@vyos# set interfaces dummy dum0
Possible completions:
+  address      IP address
   description  Description
   disable      Disable interface
 > ip           IPv4 routing parameters
 > ipv6         IPv6 routing parameters
   redirect     Incoming packet redirection destination
 > traffic-policy
                Traffic-policy for interface

The challenging part is that e.g. the ip node is part of vyatta-cfg-quagga and thus will remain

Details

Difficulty level
Normal (likely a few hours)
Version
-
Why the issue appeared?
Will be filled on close

Event Timeline

c-po created this task.Aug 13 2019, 2:13 PM
runar added a subscriber: runar.Aug 13 2019, 4:02 PM

Please keep this in mind when rewriting dummy/loopback interfaces: https://phabricator.vyos.net/T1467

c-po updated the task description. (Show Details)Aug 17 2019, 4:40 PM
c-po claimed this task.Aug 19 2019, 8:53 PM
c-po changed Difficulty level from Unknown (require assessment) to Normal (likely a few hours).
c-po closed this task as Resolved.Aug 19 2019, 9:47 PM
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.Oct 13 2019, 3:06 PM